#!/bin/bash
while [ -n "$1" ]; do # gestion des paramètres
	case "$1" in
    -h) echo "
Script qui transforme des fichiers markdown html.
"
        exit 0;;
	esac
	shift
done

set -e
IN_DIR="./input-cv-md"
OUT_DIR="./output"
STYLES_DIR="styles"
STYLE="aou"

# Si il n'y a pas de fichier markdown dans le dossier d'entrée, le script s'arrète
if [[ ! -d "$IN_DIR" ]] || [[ -z "$(ls -A $IN_DIR/*.md)" ]]; then 
  echo "Attention il n'y a aucun CV en markdown dans le dossier $IN_DIR"
  exit 1
fi

for f in $IN_DIR/*.md; do

    FILE_NAME=`basename $f | sed 's/.md//g'`;
    mkdir -p $OUT_DIR/$FILE_NAME;

    pandoc --standalone --css ../../$STYLES_DIR/$STYLE.css \
        --from markdown --to html \
        --output $OUT_DIR/$FILE_NAME/index.html $f \
        --metadata pagetitle=$FILE_NAME;

    echo "### Transfmormation du Markdown $IN_DIR/$FILE_NAME.md en HTML dans $OUT_DIR/$FILE_NAME/"
done